.\" generated with Ronn-NG/v0.9.1
.\" http://github.com/apjanke/ronn-ng/tree/0.9.1
.TH "XMPP\-DNS" "1" "April 2024" ""
.SH "NAME"
\fBxmpp\-dns\fR \- A CLI tool to check XMPP SRV records\.
.SH "SYNOPSIS"
\fBxmpp\-dns\fR [\-46cfstv] [\-\-help] [\-\-no\-color] [\-\-timeout value] [\-\-tls\-version value] [\-\-version] [parameters \|\.\|\.\|\.]
.SH "DESCRIPTION"
A little CLI tool to check SRV records for XMPP\. Beside showing the records it can also try to connect to the server and also test StartTLS and direct TLS\.
.SH "OPTIONS"
.TP
\fB\-4\fR
Resolve IPv4\.
.TP
\fB\-6\fR
Resolve IPv6\.
.TP
\fB\-c\fR, \fB\-\-client\fR
Show client SRV records\.
.TP
\fB\-\-dot\fR
Use DoT, see also \fB\-\-resolver\fR\.
.TP
\fB\-f\fR, \fB\-\-fallback\fR
Check fallback (Standard ports on A/AAAA records) if no SRV records are provided\.
.TP
\fB\-\-help\fR
Show help\.
.TP
\fB\-\-no\-color\fR
Don't colorize output\.
.TP
\fB\-\-resolver\fR
Custom resolver e\.g\. "1\.1\.1\.1" for common DNS or "5\.1\.66\.255#dot\.ffmuc\.net" for usage with "\-\-dot"\.
.TP
\fB\-s\fR, \fB\-\-server\fR
Show server SRV records\.
.TP
\fB\-t\fR
Test connection and certificates\.
.TP
\fB\-\-timeout\fR=[\fIvalue\fR]
Connection timeout in seconds\. Default: 60\.
.TP
\fB\-\-tls\-version\fR=[\fIvalue\fR]
Minimal TLS version\. 10 (TSLv1\.0), 11 (TLSv1\.1), 12 (TLSv1\.2) or 13 (TLSv1\.3)\. Default: 12\.
.TP
\fB\-v\fR
Resolve IPs\.
.TP
\fB\-\-version\fR
Show version information\.
.SH "SHELL COMPLETION"
.SS "ZSH"
There are no shell completions yet (contributions welcome) but for zsh it is possible to automatically create completions from \fB\-\-help\fR which might work good enough\.
.P
Just place the following in your \fB~/\.zshrc\fR or \fB~/\.zshrc\.local\fR:
.P
\fBcompdef _gnu_generic xmpp\-dns\fR
.SS "FISH"
There are no shell completions yet, but FISH can generate them from the man page with following command:
.P
\fBfish_update_completions\fR
.SH "CHAT"
There is no dedicated chat for \fBxmpp\-dns\fR, but feel free to join \fIhttps://join\.jabber\.network/#go\-sendxmpp@chat\.mdosch\.de?join\fR\.
.SH "AUTHOR"
Written by Martin Dosch\.
.SH "REPORTING BUGS"
Report bugs at \fIhttps://salsa\.debian\.org/mdosch/xmpp\-dns/issues\fR\.
.SH "COPYRIGHT"
Copyright (c) Martin Dosch License: BSD\-2\-clause License
